(use-package ac-php)

(use-package php-mode
  :mode (("\\.php$" . php-mode)
         ("\\.inc$" . php-mode))
  :config
  (add-hook 'php-mode-hook
            '(lambda ()
               (auto-complete-mode t)
               (require 'ac-php)
               (setq ac-sources  '(ac-source-php ))
               (setq ac-sources  '(ac-source-dictionary ac-source-abbrev ac-source-php ))

               (ac-php-core-eldoc-setup ) ;; enable eldoc
               (define-key php-mode-map  (kbd "C-]") 'ac-php-find-symbol-at-point)   ;goto define
               (define-key php-mode-map  (kbd "C-t") 'ac-php-location-stack-back)))) ;go back

(provide 'init-php)
